axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andy Schmidt (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AXIS2-5628) Axis OSGi Bundle doesn't provide AxisServices with original WSDL
Date Thu, 06 Feb 2014 16:00:09 GMT

    [ https://issues.apache.org/jira/browse/AXIS2-5628?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13893470#comment-13893470
] 

Andy Schmidt commented on AXIS2-5628:
-------------------------------------

I look into the Axis2 OSGi bundle implementation and i found no implementation to load the
WSDL/XSD files for AxisServices.
So I have taken the implementation and provided a patch (linked to this issue).

I added the implementation to load the WSDl/XSD files inside the following class
- ServiceRegistry (org.apache.axis2.osgi.deployment)

I had to implement the two classes
- OSGiBundleBasedWSDLLocator (org.apache.axis2.osgi.deployment.resolver)
- OSGiBundleFileBasedURIResolver (org.apache.axis2.osgi.deployment.resolver)
to locate the WSDL/XSD files inside the bundle.

The implementation loads the WSDl/XSD files from the META-INF folder of the bundle. This follows
the implementation to load the WSDL/XSD files from a aar file.
The bundle structure has to look like:
org.mybundle
  - src
    - ...
  - META-INF
    - service.xml
    - myservice.wsdl

I think the two classes
- OSGiServiceBuilder (org.apache.axis2.osgi.deployment)
- OSGiServiceGroupBuilder (org.apache.axis2.osgi.deployment)
are not used and can be removed, because they are duplications of the two classes
- ServiceBuilder
- ServiceGroupBuilder

Is it possible that an Apache developer/committer take a look into my patch and make a code
review and merge it into the branches 1.6.x/1.7.x.

> Axis OSGi Bundle doesn't provide AxisServices with original WSDL
> ----------------------------------------------------------------
>
>                 Key: AXIS2-5628
>                 URL: https://issues.apache.org/jira/browse/AXIS2-5628
>             Project: Axis2
>          Issue Type: Bug
>    Affects Versions: 1.6.2
>            Reporter: Andy Schmidt
>            Priority: Critical
>             Fix For: 1.7.0, 1.6.3
>
>         Attachments: org.apache.axis2.osgi_patch.7z
>
>
> I am using the Axis2 OSGi Bundle in version 1.6.2. Currently its not possible to provide
AxisService with original WSDL files.
> So if i set the useOriginalwsdl parameter to 'true' like
> <service name="...">
>     <parameter name="useOriginalwsdl">true</parameter>
> </service>
> I get the error message
> <error><description>Unable to generate WSDL 1.1 for this service</description><reason>If
you wish Axis2 to automatically generate the WSDL 1.1, then please set useOriginalwsdl as
false in your services.xml</reason></error>



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

---------------------------------------------------------------------
To unsubscribe, e-mail: java-dev-unsubscribe@axis.apache.org
For additional commands, e-mail: java-dev-help@axis.apache.org


Mime
View raw message